2018-06-21 15:12 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000006FSSCPOpenGLpublic2007-11-22 13:58
ReporterSticks 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionwon't fix 
Product Version 
Target VersionFixed in Version 
Summary0000006: OpenGL Missile Trails Flicker
DescriptionOn some graphics cards, the new trail rendering code causes the trails to flicker in and out.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000187

phreak (developer)

is this HT&L or not? i think something may be overrunning its bounds

~0000303

phreak (developer)

i figured this may also be attributed to v-sync not being enabled

~0000707

Kazan (developer)

is this fixed?

~0000710

phreak (developer)

i saw it in non-HTL mode, but it works perfectly in HTL

~0000712

Kazan (developer)

pls fix it in non-htl and close the bug :D

~0000751

phreak (developer)

ok i looked into this and it happens if missile trails come close to the player's view point in non-htl mode. I'm thinking its possible some miscaclulated screen coordinates when the trail goes through the non-htl functions

~0001787

phreak (developer)

hmm this is an old one.

anyone still having problems?

~0001795

taylor (administrator)

It's still happening but I haven't been able to come up with a fix. Don't really care to spend much time working on it either.

~0003138

kasperl (developer)

Are we even supporting nohtl anymore?If not, this should just be closed.

~0003152

Goober5000 (administrator)

It might be a good idea to maintain a certain amount of support for compatibility purposes.

~0003154

taylor (administrator)

non-HTL is broken at the moment btw. I found that out last night when testing some things. Bobboau's geometry_batcher kill the g3_draw*() stuff since it can send too many verts through at the time.

~0003205

phreak (developer)

close as nobody gives a damn? :p. Haven't noticed this in ages either.

~0003240

kasperl (developer)

Well, if nohtl is broken, there's hardly any point in fixing this, but I'd rather leave this one open until there's either a fix, or an order from above (Goob, Inq?) to drop nohtl.

~0004822

phreak (developer)

Last edited: 2006-02-18 21:17

since we're ditching non-HTL, and the fact that non-HTL is broken anyway, can i just close this?

edited on: 02-18-06 21:17

~0005144

taylor (administrator)

Well, I think I've got the non-HTL crash problem properly fixed now (just adjusted the interp_allocate stuff to also handle this). I guess that all that's left for this is to give it proper clipping, since it doesn't have any currently. Bobboau just basically didn't do this right. But I can't say that I'd personally be all that thrilled to go in and make the drawing and clipping functions properly handle tristrips.

Unless someone else is willing to do that then I say we close this because it's not worth messing around with. It's a minor graphical glitch which just isn't that annoying and almost no one is going to see at this point.

~0005229

taylor (administrator)

Well, I don't care, and apparently neither does anyone else. I'll close this for now then and if I ever get the desire to try and track this down again I'll take another look at it. If I can't figure it out then both of those people who prefer to use non-HTL mode on every Feb 29th will just have to deal with it.

~0005230

taylor (administrator)

Closered.
+Notes

-Issue History
Date Modified Username Field Change
2003-11-21 20:41 Sticks New Issue
2003-11-23 05:42 Goober5000 Category => OpenGL
2004-02-11 01:46 Goober5000 Assigned To => phreak
2004-02-11 01:46 Goober5000 Status new => assigned
2004-02-11 13:49 phreak Note Added: 0000187
2004-03-05 12:07 phreak Note Added: 0000303
2004-04-06 21:16 Kazan Note Added: 0000707
2004-04-06 22:04 phreak Note Added: 0000710
2004-04-06 22:26 Kazan Note Added: 0000712
2004-04-12 12:31 phreak Note Added: 0000751
2004-04-12 12:31 phreak Reproducibility have not tried => sometimes
2005-03-12 16:10 phreak Note Added: 0001787
2005-03-12 18:31 taylor Note Added: 0001795
2005-08-24 07:43 kasperl Note Added: 0003138
2005-08-24 18:40 Goober5000 Note Added: 0003152
2005-08-24 19:07 taylor Note Added: 0003154
2005-08-30 11:08 phreak Note Added: 0003205
2005-08-31 14:38 kasperl Note Added: 0003240
2006-02-18 21:16 phreak Note Added: 0004822
2006-02-18 21:17 phreak Note Edited: 0004822
2006-03-16 12:44 taylor Note Added: 0005144
2006-03-24 07:25 taylor Note Added: 0005229
2006-03-24 07:25 taylor Status assigned => closed
2006-03-24 07:25 taylor Note Added: 0005230
2006-10-26 23:22 Goober5000 Assigned To phreak => taylor
2006-10-26 23:22 Goober5000 Resolution open => suspended
2007-11-22 13:58 taylor Resolution suspended => won't fix
+Issue History